Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2034)

Issue 2178513002: Add layout test to make sure origin clean flag is preserved (Closed)

Created:
3 years, 2 months ago by xidachen
Modified:
3 years, 2 months ago
Reviewers:
Justin Novosad
CC:
chromium-reviews, blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add layout test to make sure origin clean flag is preserved This CL adds a layout test to make sure that the ImageBitmap's origin clean flag is preserved after ImageBitmap is being transfered or structured-cloned. The test works like this: load a cross-origin image, and create an ImageBitmap from that image. The promise of creating the ImageBitmap should be resolved but the ImageBitmap is tainted. We then transfer the ImageBitmap to the worker, and worker structure-clones the ImageBitmap to the main. We then exam to make sure that the ImageBitmap is still tained. BUG=623406 Committed: https://crrev.com/2a8242617ffe25ee8738151c768ee41af29c3695 Cr-Commit-Position: refs/heads/master@{#407831}

Patch Set 1 #

Patch Set 2 : favoring one test file #

Total comments: 4

Patch Set 3 : changed to async_test #

Total comments: 1

Patch Set 4 : nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+47 lines, -0 lines) Patch
A third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html View 1 2 3 1 chunk +47 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (8 generated)
xidachen
PTAL
3 years, 2 months ago (2016-07-22 16:38:12 UTC) #2
Justin Novosad
https://codereview.chromium.org/2178513002/diff/20001/third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html File third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html (right): https://codereview.chromium.org/2178513002/diff/20001/third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html#newcode44 third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html:44: resolve(replyPromise); This is a nested promise. I am pretty ...
3 years, 2 months ago (2016-07-26 14:07:52 UTC) #3
xidachen
https://codereview.chromium.org/2178513002/diff/20001/third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html File third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html (right): https://codereview.chromium.org/2178513002/diff/20001/third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html#newcode44 third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html:44: resolve(replyPromise); On 2016/07/26 14:07:52, Justin Novosad wrote: > This ...
3 years, 2 months ago (2016-07-26 15:13:11 UTC) #4
Justin Novosad
lgtm https://codereview.chromium.org/2178513002/diff/40001/third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html File third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html (right): https://codereview.chromium.org/2178513002/diff/40001/third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html#newcode44 third_party/WebKit/LayoutTests/http/tests/security/cross-origin-createImageBitmap-structured-clone.html:44: }, 'Transfer or structured-clone an ImageBitmap should preserve ...
3 years, 2 months ago (2016-07-26 15:28:45 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2178513002/60001
3 years, 2 months ago (2016-07-26 16:55:15 UTC) #12
commit-bot: I haz the power
Committed patchset #4 (id:60001)
3 years, 2 months ago (2016-07-26 17:04:54 UTC) #13
commit-bot: I haz the power
3 years, 2 months ago (2016-07-26 17:07:27 UTC) #15
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/2a8242617ffe25ee8738151c768ee41af29c3695
Cr-Commit-Position: refs/heads/master@{#407831}

Powered by Google App Engine
This is Rietveld 408576698